<?php get_header(); ?>
<?php get_sidebar(); ?>

<div id="content" class="narrow">
<h2 class="post-title"><?php _e('Search Results', 'purplepastels');?></h2>
<?php
$my_tot_pages = $wp_query->max_num_pages;
if($my_tot_pages ==1) $my_tot_pages.=__(' page','purplepastels') ;
else $my_tot_pages .= __(' pages','purplepastels') ;
$my_curr_page = $paged;
if($my_curr_page =='') $my_curr_page = 1;

$my_searchterm = trim(get_search_query());
if($my_searchterm !='') : ?>
<p><?php _e('You searched for', 'purplepastels');?> <em><?php echo $my_searchterm;?></em>.
<?php if (have_posts()) : ?>
<br /><?php printf(__('Displaying page %1$s of %2$s of results', 'purplepastels'), $my_curr_page, $my_tot_pages );?></p>

<?php while (have_posts()) : the_post();?>

<div <?php post_class();?>>
<h3 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>

<?php if($post->post_type == 'post') :?>
<ul class="meta">
<li><?php printf(__('Posted on %1$s at %2$s', 'purplepastels'), get_the_date(__('F j, Y','purplepastels') ), get_the_time() ); ?></li>
<li><?php _e('Filed under:', 'purplepastels');?> <ul><li><?php the_category(',</li> <li>') ?></li></ul></li>
<?php if(get_the_tags()) :?><li><?php _e('Tags:', 'purplepastels');?> <?php the_tags('<ul><li>',',</li> <li>','</li></ul>');?></li><?php endif;?>
</ul><?php endif;?>
</div>

<?php endwhile;?>

<ul class="prevnext">
<li class="next"><?php next_posts_link(__('Older Entries','purplepastels') ); ?></li>
<li class="prev"><?php previous_posts_link(__('Newer Entries','purplepastels') );?></li>
</ul>

<?php else : ?>
<p class="sorry"><?php _e("Sorry - I couldn't find anything!", 'purplepastels');?></p>
<?php endif;else : ?>
<p><strong class="error"><?php _e('You forgot to enter a search term!', 'purplepastels');?></strong></p>
<?php endif; ?>

<div style="clear: both;"></div>

<?php get_footer();